libnjb 2.2.7

Data Fields
njb_keyval_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
char | key [5]
u_int32_t | value1
u_int32_t | value2
unsigned char | deviceid [16]
njb_keyval_t * | next

## Detailed Description

Struct to hold key/value pairs which are used for some kind of DRM encryption scheme. Usage unknown.

Examples:
  handshake.c.

## Field Documentation

## ◆ deviceid

unsigned char njb_keyval_struct::deviceid[16]

The SDMI compliant device ID associated with this key

## ◆ key

char njb_keyval_struct::key[5]

The name of this key (AR00, PL00 etc.)

Examples:
  handshake.c.

## ◆ next

njb_keyval_t* njb_keyval_struct::next

A pointer to the next key/value pair

Examples:
  handshake.c.

Referenced by njb3_destroy_state().

## ◆ value1

u_int32_t njb_keyval_struct::value1

The first 32 bit unsigned integer of this key

Examples:
  handshake.c.

## ◆ value2

u_int32_t njb_keyval_struct::value2

The second 32 bit unsigned integer of this key

Examples:
  handshake.c.

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/libnjb.h